Approve a plan and start generation
curl --request POST \
--url https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"expectedStatus": "planned",
"expectedObjectiveHash": "<string>"
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve"
payload = {
"expectedStatus": "planned",
"expectedObjectiveHash": "<string>"
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expectedStatus: 'planned', expectedObjectiveHash: '<string>'})
};
fetch('https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expectedStatus' => 'planned',
'expectedObjectiveHash' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Workspace-Id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve"
payload := strings.NewReader("{\n \"expectedStatus\": \"planned\",\n \"expectedObjectiveHash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Workspace-Id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve")
.header("X-Workspace-Id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expectedStatus\": \"planned\",\n \"expectedObjectiveHash\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expectedStatus\": \"planned\",\n \"expectedObjectiveHash\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"authorization": {
"durable": true,
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "planned",
"idempotent": true,
"authorizedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"dispatch": {
"attemptedNow": true,
"state": "pending",
"reason": "execution_disabled",
"workflowRunId": "<string>",
"recoverable": true
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Settings
Approve a plan and start generation
Approves the saved plan and its required locale targets, then tries to start generation. Approval and dispatch are reported separately: a dispatch failure never undoes the approval, and a scheduled job retries pending dispatch. Approving an approved plan is a no-op: it is guarded by expectedStatus, not by Idempotency-Key, which this endpoint does not use. This starts paid work, so it is rate limited on the pipeline tier. Send expectedStatus: "planned" and optionally expectedObjectiveHash from the prepared plan. Requires write scope, editor rights or above, rollout access and the article-creation capability.
POST
/
content-agent
/
plans
/
{planId}
/
approve
Approve a plan and start generation
curl --request POST \
--url https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'X-Workspace-Id: <x-workspace-id>' \
--data '
{
"expectedStatus": "planned",
"expectedObjectiveHash": "<string>"
}
'import requests
url = "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve"
payload = {
"expectedStatus": "planned",
"expectedObjectiveHash": "<string>"
}
headers = {
"X-Workspace-Id": "<x-workspace-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'X-Workspace-Id': '<x-workspace-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({expectedStatus: 'planned', expectedObjectiveHash: '<string>'})
};
fetch('https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'expectedStatus' => 'planned',
'expectedObjectiveHash' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"X-Workspace-Id: <x-workspace-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve"
payload := strings.NewReader("{\n \"expectedStatus\": \"planned\",\n \"expectedObjectiveHash\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-Workspace-Id", "<x-workspace-id>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve")
.header("X-Workspace-Id", "<x-workspace-id>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"expectedStatus\": \"planned\",\n \"expectedObjectiveHash\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://www.getsurfaced.ai/api/v1/content-agent/plans/{planId}/approve")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-Workspace-Id"] = '<x-workspace-id>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"expectedStatus\": \"planned\",\n \"expectedObjectiveHash\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"data": {
"authorization": {
"durable": true,
"planId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "planned",
"idempotent": true,
"authorizedBy": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"targetIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
]
},
"dispatch": {
"attemptedNow": true,
"state": "pending",
"reason": "execution_disabled",
"workflowRunId": "<string>",
"recoverable": true
}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "UNAUTHORIZED",
"message": "<string>",
"details": {}
}
}Authorizations
API key (sk_live_...) created at https://www.getsurfaced.ai/app/settings/account/api-keys
Headers
Body
application/json